SpriteLibrary

# SpriteInfo Class

A class which is used by the SpriteDatabase to build Sprites. You should not need to use this in your programming. It is simplest to use the Load/Save features of the SpriteDatabase, which will load and save the SpriteInfo. Again, you do not want to use these within your program. Let the SpriteDatabase use this. The reason these are visible to the program is because This code uses "XML Serialization" to load and save. XML Serialization requires the items you are serializing to be "public", which makes them visible.
Inheritance Hierarchy
System
Object
SpriteLibrary
SpriteInfo

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public class SpriteInfo

The SpriteInfo type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SpriteInfo | Initializes a new instance of the SpriteInfo class

Top
Methods

| Name | Description
--- | --- | ---
| Clone | A generic cloning method that works when everything is public
| CopyFrom | Update the current SpriteInfo class such that it is identical to the class you are copying from.
| Equals | (Inherited from Object.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Object.)
| GetType | (Inherited from Object.)
| MemberwiseClone | (Inherited from Object.)
| ToString | (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| Animations | This is the list of animations that make up the sprite. Again, you do not want to use these within your program. Let the SpriteDatabase use this. The reason these are visible to the program is because This code uses "XML Serialization" to load and save. XML Serialization requires the items you are serializing to be "public", which makes them visible.
| SpriteName | The name of the sprite. It should be unique within your application
| ViewPercent | The percentage size when the sprite is normally displayed. For example: If the image you drew your sprite on has your sprite drawn on a 200x200 grid, but you want your sprite to normally be 100x100, you would tell it to be 50 (50 percent of the original size).

Top
See Also

#### Reference

SpriteLibrary Namespace